function [ R ] = RotationFromVectors( v1,v2 )
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here

ssc = @(v) [0 -v(3) v(2); v(3) 0 -v(1); -v(2) v(1) 0];


RU = @(A,B) eye(3) + ssc(cross(A,B)) + ssc(cross(A,B))^2*(1-dot(A,B))/(norm(cross(A,B))^2);

R = RU(v1,v2);
if(v1 == v2)
    R = eye(3);
end
end

